Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IColorProvider

All Known Implementing Classes:
  ColumnLabelProvider, DecoratingLabelProvider, PropertyColumnLabelProvider, TreeColumnViewerLabelProvider, WorkbenchLabelProvider

    public interface IColorProvider

Interface to provide color representation for a given element.

See Also:
  `IColorDecorator`

Method Summary
`Color` `getBackground(Object element)` Provides a background color for the given element.
`Color` `getForeground(Object element)` Provides a foreground color for the given element.

Method Detail

### getForeground

    Color getForeground(Object element)

  Provides a foreground color for the given element.

  Parameters:
    `element` - the element
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getBackground

    Color getBackground(Object element)

  Provides a background color for the given element.

  Parameters:
    `element` - the element
  Returns:
    the background color for the element, or `null` to use the default background color

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.